Musical Toy Instruments

Charger Cable Compatible with Wahl Trimmer Aqua Blade Beard Clipper Razor 9899-100/9899-804,9864,9870 Replacement USB Shaver

[Compatible Models] Compatible with Wahl Aqua Blade Stubble 9899-100,9899-804,9864,9870 Beard Trimmer [USB Interface] We use a standard USB charger interface power cord, you can charge your shaver anytime, anywhere, or computer, or mobile power, or adapter or power board with USB, charging is as convenient as taking it with you [Stable Data Cable] Power cord using high-quality copper core, provides your devices perfect protecetion from over-current, over voltage, overload or short circuit [Perfectly Replacement] If your original charger power cord is lost or damaged, it will be a perfect replacement charging cord that can charge your electric shaver well [Better Sevice] We provide 30-day product refund period, 12-month warranty replacement and sincere consulting service, if you have any questions about this power cord, Please send us a message to enquire
£5.65

MEROM 5 V USB Charger Cord Replacement Shaver Power Adapter Compatible with Norelco Shavers HQ8505 5000/7000 Series Power Cord

[Product Parameters] Input: 100-240 V AC 50-60 Hz. Output: 5 V [Compatibility] Compatible with Norelco HQ8505, 7000 7100 7200 7300 7400 7500 7600 7700 5000 5100 5200 5500 5600 5700 3000 3100 3500 4100 4200 4500 6100 8000X 8500X 8900 9300 9700 Series Shavers, most Norelco Aquatec, Arcitec and Multigroom Shavers, Compatible with Remington shaver, Compatible with Philips QP6510 / 2520 / 2630 shaver, Compatible with Braun 3000/ 7000 / 9000 series shaver, Razors and Trimmers [Quality Assurance] Our products are made of high-quality materials, with quality assurance. There are over-temperature and over-voltage protection to ensure the normal operation of the product [Note] Please check if it is compatible with your product [Service] If you have any questions about our products, please communicate with us and we will try our best to solve them
£4.84

USB Shaver Charger Cable Replacement for HQ8505 Power Adapter, Compatible for Philips 1100 2100 3000 3100 3500 4100 4500 5100

Fit for Philips Norelco HQ8505, 7000 7100 7200 7300 7400 7500 7600 7700 5000 5100 5200 5500 5600 5700 3000 3100 3500 4100 4200 4500 6100 8000X 8500X 8900 9300 9700 Series Shavers, most Norelco Aquatec, Arcitec and Multigroom Shavers, Razors and Trimmers. Compatible part numbers HQ8505 AT810/41 AT830 BT5210/42 BT7215/49 PT724/41 PT730/41 QG3364/42 QG3330 QG3330/60 QT4018/49 S7370/84 S9311/84 S9721/84 YS524/41 HQ-8505, NL9206AD-4, 272217190075, 272217190076 272217190137 Fit for Philips Norelco 7000 / 5000 / 3000 Series, Grooming Kit Bodygroom, BeardTrimmer, Beard, SensoTouch, Precision, Spectra and Sensotec, SmartTouch XL & Speed XL, Quadra, Cool Skin, new generation Cool Skin, Style Shaver, PowerTouch, Hair Clipper, Arcitec. QG series, BG series, HQ series, RQ series, XL series, XLCC series, X series, HS series, QC series, QT series, QS series, AT series, PT series. Feature: The USB Cable is lightweight, suitable for carrying out, such as the office, the business trip, travel Item Includes: 1 X Power Cord Service & Support: 30 Days No-hassle Return Policy / Manufacturer 12 Months Warranty

MEROM 15 V USB Charging Cable Replacement HQ8505 Charger Cord Compatible with Philips Shaver Norelco One Blade Multigroom Pro

[Compatibility] Compatible with One Blade QP6520 / 30, QP6510 / 30, Grooming Kit Bodygroom, BeardTrimmer, Beard, SensoTouch, Precision, Spectra [Product Specifications] Output: 15 V. Cable Length: 1.2 m [Quality Assurance and Portability] Our products are made of high-quality materials, with quality assurance, which can ensure stable current and voltage output. Our products are small in size and easy to carry. You can directly use the charging head of the local country or use the computer to charge, no need to worry about the conversion plug [Please note] Our products are not compatible with One Blade QP2520, QP2520 / 30, QP2520 / 70, QP2520 / 90, QP6510 and QP6520 [After-sales Service] If you have any questions about this product, please communicate with us and we will try our best to solve them
£4.13

Bouge Charger Cable Power Cord Compatible with Hatteker Hair Clipper Cordless Razor Beard Trimmer Shaver RFC-588 RFC-598

[Note] The size of the DC head is 12.97MM*6.02MM. Please check if the size of your DC meets the requirements before purchasing [Compatible] The charger cable is compatible with Hatteker shaver trimmers,modle including: RFC-588, RFC-598,RFC-690, RFC-696, RFC-692, RFC-695, RSCX-9598, RSCX-7568 [USB Interface] We use a standard USB charger interface power cord, you can charge your shaver anytime, anywhere, or computer, or mobile power, or adapter or power board with USB, charging is as convenient as taking it with you [Charging Cable] We use high-quality wires. Our products have passed countless industrial tests to ensure safety and availability. This charging cable is convenient and easy to, with overvoltage and short circuit protection, and will not damage your equipment. You can Use it with confidence, and design a 4.9-foot-long cable that will not hinder you from doing other things when charging [Replacement] If your original charger power cord is lost or damaged, it will be a perfect replacement charging cord that can charge your electric shaver well
£3.25

K-Brands Beard Shaper with inbuilt Comb and Barber Pencil Liner - Beard Stencil Lineup Guide - Styling Template Shaping Tool

Get a professional barber quality trim and shave using this beard template tool and your favorite razor or trimmer Achieve a perfectly symmetrical beard effortlessly with this shaping tool no more constant mirror checks, just a flawless shape every time Shape your cheek line, neck line, jaw line, mustache, goatee, and sideburns with this tool, featuring curve and step cut styles for a tailored look The built-in beard comb helps align your beard for accurate shaping, while the pencil ensures precise outlining, symmetry, and definition Ideal gift for any man who loves his beard
£6.25

Wilkinson Sword Classic Shaving Brush

Ideal for close, traditional shave Fine and fine bristles that are soft to the touch Engineered for a precise lather Gently exfoliate and lift facial hair to ensure a close, smooth shave Great value for money
£9.28

QSHAVE 100% Best Original Pure Badger Hair Shaving Brush Handmade. Real Wood Base. Perfect for Wet Shave, Safety Razor, Double

The handmade badger with 100% pure and real badger hair. Soft brush, excellent water absorption capacity. The brush head is particularly bushy for a rich, fast lather creation. With him, it's easy to enjoy a smooth wet shave. The ergonimic and elegant handle with the shape like a vase is made of real wood that guarantees to grip it well during wet shaving. Badger is for all kinds of soap or shaving cream. Like all shaving brushes with pure bristles, light shedding can happen for the first few uses
£9.75

HeadBlade - HeadSlick Mentholated Shave Cream, Use it Anywhere You Shave - 8 fl oz

Headblade shave cream is designed especially for the full head shaving experience HeadSlick is water soluble, making it easy to rinse blades after use HeadSlick shave cream is lubricated for an effortless blade glide Mentholated cream leaves a cool and refreshing feeling after each shave No perfumes, no dyes, and cruelty free
£17.36

Sizzix 3-D Texture Fades Embossing Folder Quilted by Tim Holtz, 665734, Multicolor, One Size

SIMPLE & EFFECTIVE - Our 3D Folders offer the deepest & boldest dimensional embossing experience, with a truly striking result with just one roll through your die cutting and embossing machine. HIGH DEFINITION - Enhance your projects with the high definition design this folder has to offer, for use on materials such as cardstock, paper, metallic foil & vellum. COMPATIBILITY - Sizzix Big Shot, Sizzix Big Shot Express, Sizzix Big Shot Foldaway, Sizzix Big Shot Plus & Sizzix Big Shot Pro. Made of quality Material